GTK2HSHOOKGENERATOR(1)

NAME
gtk2hsHookGenerator - Program to generate callback hook for Gtk signals

SYNOPSIS
gtk2hsHookGenerator [--template =template-file] --types =types-file [--import =import] --modname =moduleName > outFile

DESCRIPTION
This manual page briefly describes the gtk2hsHookGenerator command. It's a helper program necessary to build the Gtk2Hs suite of libraries.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below. For a complete description, see the other documentation.

gtk2hsHookGenerator accepts the following options:

--template=template-file
    specify a path to the Signal.chs.template file

--types=types-file
    specify a path a gtkmarshal.list file

--import=import
    specify a module to be imported into the template file

--modname=moduleName
    the module name for outFile

BUGS

Please report bugs and feature requests in the Gtk2Hs trac

http://hackage.haskell.org/trac/gtk2hs/

or to the Gtk2Hs mailing list gtk2hs-devel@lists.sourceforge.net

AUTHOR
This page was addapted from the gtk2hsC2hs(1) manpage, by Marco Túlio Gontijo e Silva <marcot@debian.org> for the Debian GNU/Linux system (but may be used by others).